#include "ToolAddPolygon.h"


ToolAddPolygon::ToolAddPolygon(EditManager *editManager) {
  this->editManager = editManager;
  
  image = gtk_image_new_from_stock(GTK_STOCK_MISSING_IMAGE, GTK_ICON_SIZE_BUTTON);
  g_object_ref_sink(G_OBJECT(image));
}

ToolAddPolygon::~ToolAddPolygon() {
  g_object_unref(G_OBJECT(image));
}

void ToolAddPolygon::activate() {
  editManager->addRoom();
}

void ToolAddPolygon::deactivate() {
  editManager->finishRoom();
}
